Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTTypenameExpression

All Superinterfaces:
  `IASTExpression`, `IASTImplicitDestructorNameOwner`, `IASTInitializerClause`, `IASTNameOwner`, `IASTNode`, `ICPPASTExpression`, `ICPPASTInitializerClause`, `ICPPASTSimpleTypeConstructorExpression`

@Deprecated public interface ICPPASTTypenameExpression extends ICPPASTSimpleTypeConstructorExpression, IASTNameOwner
Deprecated.
Unified with `ICPPASTSimpleTypeConstructorExpression`.

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`INITIAL_VALUE`
Deprecated.
`INITIAL_VALUE` is an expression.
`static final ASTNodeProperty`
`TYPENAME`
Deprecated.
`TYPENAME` is the name of the type.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTSimpleTypeConstructorExpression

`INITIALIZER, INITIALIZER_VALUE, t_bool, t_char, t_double, t_float, t_int, t_long, t_short, t_signed, t_unsigned, t_unspecified, t_void, t_wchar_t, TYPE_SPECIFIER`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTTypenameExpression`
`copy()`
Deprecated.
Returns a mutable copy of the tree rooted at this node.
`IASTExpression`
`getInitialValue()`
Deprecated.
Get initial value.
`IASTName`
`getName()`
Deprecated.
Get the name.
`boolean`
`isTemplate()`
Deprecated.
Was template token consumed?
`void`
`setInitialValue(IASTExpression expressionList)`
Deprecated.
Set initial value.
`void`
`setIsTemplate(boolean templateTokenConsumed)`
Deprecated.
Was template token consumed?
`void`
`setName(IASTName name)`
Deprecated.
Set the name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTSimpleTypeConstructorExpression

`copy, getDeclSpecifier, getInitializer, getSimpleType, setDeclSpecifier, setInitializer, setSimpleType`

## Field Details

### TYPENAME

static final ASTNodeProperty TYPENAME
Deprecated.
`TYPENAME` is the name of the type.

### INITIAL_VALUE

static final ASTNodeProperty INITIAL_VALUE
Deprecated.
`INITIAL_VALUE` is an expression.

## Method Details

### setIsTemplate

void setIsTemplate(boolean templateTokenConsumed)
Deprecated.
Was template token consumed?

Parameters:
  `templateTokenConsumed` - boolean

### isTemplate

boolean isTemplate()
Deprecated.
Was template token consumed?

Returns:
  boolean

### setName

void setName(IASTName name)
Deprecated.
Set the name.

Parameters:
  `name` - `IASTName`

### getName

IASTName getName()
Deprecated.
Get the name.

Returns:
  `IASTName`

### setInitialValue

void setInitialValue(IASTExpression expressionList)
Deprecated.
Set initial value.

Specified by:
  `setInitialValue` in interface `ICPPASTSimpleTypeConstructorExpression`
Parameters:
  `expressionList` - `IASTExpression`

### getInitialValue

IASTExpression getInitialValue()
Deprecated.
Get initial value.

Specified by:
  `getInitialValue` in interface `ICPPASTSimpleTypeConstructorExpression`
Returns:
  `IASTExpression`

### copy

ICPPASTTypenameExpression copy()
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTSimpleTypeConstructorExpression`
Since:
  5.1